## Index

### Classes

- SlideXImpl

### Interfaces

- OwnProps

### Type aliases

- Props

### Variables

- SlideX

### Object literals

- styles

## Type aliases

### Props

Props: OwnProps & WithSheet<IgnoreJSSNested<object>, __type>

- Defined in components/SlideX/index.tsx:31

## Variables

### Const SlideX

SlideX: ComponentClass<object & StyledComponentProps<"stepAnimationContainer" | "stepAnimation">, any> | StatelessComponent<object & StyledComponentProps<"stepAnimationContainer" | "stepAnimation">> = injectSheet(styles as IgnoreJSSNested<typeof styles>)(SlideXImpl)

- Defined in components/SlideX/index.tsx:52

## Object literals

### Const styles

styles: object

- Defined in components/SlideX/index.tsx:10

### stepAnimation

stepAnimation: object

- Defined in components/SlideX/index.tsx:15

### alignItems

alignItems: any = (({ alignItems }: OwnProps) => alignItems === 'start' ? 'flex-start' : 'flex-end') as any

- Defined in components/SlideX/index.tsx:18

### display

display: string = "flex"

- Defined in components/SlideX/index.tsx:17

### justifyContent

justifyContent: string = "flex-start"

- Defined in components/SlideX/index.tsx:21

### transform

transform: any = (({ step }: OwnProps) => step ? `translateX(-${step * 100}%)` : 'translateX(0)') as any

- Defined in components/SlideX/index.tsx:23

### transition

transition: string = "transform .6s"

- Defined in components/SlideX/index.tsx:16

### width

width: string = "100%"

- Defined in components/SlideX/index.tsx:22

### & > *

& > *: object

- Defined in components/SlideX/index.tsx:25

### minWidth

minWidth: string = "100%"

- Defined in components/SlideX/index.tsx:26

### stepAnimationContainer

stepAnimationContainer: object

- Defined in components/SlideX/index.tsx:11

### overflowX

overflowX: string = "hidden"

- Defined in components/SlideX/index.tsx:12

### width

width: string = "100%"

- Defined in components/SlideX/index.tsx:13

Generated using TypeDoc